Bug 1310303 - remove GLOB_LIMIT_STAT from OpenSSH
Summary: remove GLOB_LIMIT_STAT from OpenSSH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-20 07:35 UTC by daniel
Modified: 2019-12-16 05:25 UTC (History)
2 users (show)

Fixed In Version: openssh-6.6.1p1-26.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:19:07 UTC
Target Upstream Version:
dmoessne: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2588 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2016-11-03 12:09:45 UTC

Description daniel 2016-02-20 07:35:38 UTC
1. Proposed title of this feature request  
  [RFE] remove GLOB_LIMIT_STAT from OpenSSH
  
3. What is the nature and description of the request?  
In OpenSSH we have introduced GLOB_LIMIT_STAT (*glob.patch) which limits the amount of
files shown by wildcard search (like ls *) via sft session to 8192 files (bz 1160377).
Other distributions do not have this limit and it should be removed.
  
4. Why does the customer need this? (List the business requirements here) 
Customer is searching/listing directories with sometimes more than 50k files which is 
much more than the 8192 files limit currently in place and therefore the limit is preventing
customer scripts from working.
  
5. How would the customer like to achieve this? (List the functional requirements here)  
Preferred is that the limit gets completely removed, if not feasible it should be made 
configurable to any value intended.
  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
Remove the limit and test ls via sftp session on a directory containing 50k+ files. 'ls' should returna complete listing of the directory (not limited output)
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Found none, but had bz 1160377 open to raise the limit to 8192
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
asap
  
9. Is the sales team involved in this request and do they have any additional input?  
no

10. List any affected packages or components. 
 openssh-6.4p1-8.el7.x86_64
openssh-server-6.4p1-8.el7.x86_64
openssh-clients-6.4p1-8.el7.x86_64
libssh2-1.4.3-8.el7.x86_64
  
11. Would the customer be able to assist in testing this functionality if implemented? 
yes

Comment 7 Jakub Jelen 2016-03-31 11:21:14 UTC
Removing RFE tag, since it is more "bugfix" of what was broken in Fedora than RFE.

Comment 11 errata-xmlrpc 2016-11-03 20:19:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2588.html


Note You need to log in before you can comment on or make changes to this bug.